Subject: ANNOUNCEMENT: New version of UltraStor driver with scatter/gather
From: [email-masked] (Scott Taylor)
Date: Thu, 25 Feb 1993 08:07:26 GMT
Newsgroups: comp.os.linux.announce

Here is the newest (as far as I know) version of Dave Gentzel's
UltraStor 14F driver, hacked to support scatter/gather.  I 
noticed a 5x increase in performance over the old driver (from
80K/sec to 400K/sec transfer rate on writes, measured with iozone
on a Minix fs); as usual, your mileage may vary.  Mr. Gentzel
has attempted to add support for the 34F to this driver; as far
as I know, the 34F patches are untested.  I have been using this
driver for about three weeks; it's been stable under heavy load,
including multiple compiles, restoring files from my SCSI
tape drive (Wangtek 5150ES) to a filesystem on my SCSI disk (Maxtor
LXT213S), and various indignities committed with iozone.

To install, just uudecode, uncompress, and untar the files
(ultrastor.c and ultrastor.h) in kernel/blk_drv/scsi, do a 'make
clean' (just to be safe), rebuild the kernel, and be happy.
The driver should work with 0.99 pl0 and up; I have tested it with
0.99 pl4 and 0.99 pl5.

I am working on multiple outstanding commands, multiple commands
per LUN, etc.,  but I don't foresee getting 'em done anytime
soon.

Send reports of success, failure, flames, or insults to
[email-masked].

Scott Taylor
---------------------->8  cut here  8<-----------------------